Bug 140182 - FILEOPEN DOCX Extra empty page after table+page break+section break
Summary: FILEOPEN DOCX Extra empty page after table+page break+section break
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Attila Szűcs
URL:
Whiteboard: target:7.2.0
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Tables DOCX-Section
  Show dependency treegraph
 
Reported: 2021-02-05 10:46 UTC by NISZ LibreOffice Team
Modified: 2021-03-29 13:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (33.92 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-02-05 10:46 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (61.44 KB, image/png)
2021-02-05 10:47 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-02-05 10:46:43 UTC
Created attachment 169493 [details]
Example file from Word

Attached file was minimized from a user doc.
It contains a table, a page break and a section break in succession.
Word renders this on 2 pages, while Writer renders it on 3.
Removing any of the table, a page break and a section break in Word results in a document with 2 pages in Writer too.

Steps to reproduce:
    1. Open attached document in Writer.

Actual results:
Document is 3 pages long.

Expected results:
Should be only 2 pages.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 318d384c596c1593667d6c936f55bf6ebd0c5db6
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-GB
Calc: CL

Also in:
Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL

Version: 6.0.0.3
Build ID: 64a0f66915f38c6217de274f0aa8e15618924765
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
Locale: en-US (hu_HU); Calc: CL

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: hu-HU (hu_HU)

Version: 4.3.0.4
Build ID: 62ad5818884a2fc2e5780dd45466868d41009ec0

Not yet in:
Version: 4.2.0.4
Build ID: 05dceb5d363845f2cf968344d7adab8dcfb2ba71

Additional Information: 

Bibisected using bibisect-win32-4.3 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=2e8aad6d45c53d554ccaf26de998ede708cfc289
author	Vinaya Mandke <vinaya.mandke@synerzip.com>	2014-04-18 15:50:51 +0530
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2014-04-24 12:57:51 +0200

fdo#39056 fdo#75431 Section Properties if section starts with table
Comment 1 NISZ LibreOffice Team 2021-02-05 10:47:07 UTC
Created attachment 169494 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 BogdanB 2021-02-05 11:04:59 UTC
Confirm with
Version: 7.1.0.3 (x64) / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 4; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded

3 pages
Comment 3 Commit Notification 2021-03-20 13:28:33 UTC
Attila Szűcs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9dfaf0fa1977f70341e4b9add2ecd2afb35bf1f2

tdf#140182 DOCX table import: fix extra page break

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Roman Kuznetsov 2021-03-21 20:49:40 UTC
verified in

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 07996bcca53939af02921a3d4681c6c7d62a0e40
CPU threads: 4; OS: Windows 6.1 Service Pack 1 Build 7601; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: CL

but... Attila, can we close it as FIXED?